package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:AdminCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:AdminCommon"],
        beego.ControllerComments{
            Method: "Login",
            Router: "/login",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:AdminCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:AdminCommon"],
        beego.ControllerComments{
            Method: "Logout",
            Router: "/logout",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ApprovalCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ApprovalCommon"],
        beego.ControllerComments{
            Method: "ApplyApprove",
            Router: "/approve",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ApprovalCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ApprovalCommon"],
        beego.ControllerComments{
            Method: "ApplyApproveOld",
            Router: "/approve_old",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ApprovalCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ApprovalCommon"],
        beego.ControllerComments{
            Method: "CompanyList",
            Router: "/company_list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ApprovalCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ApprovalCommon"],
        beego.ControllerComments{
            Method: "Detail",
            Router: "/detail",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ApprovalCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ApprovalCommon"],
        beego.ControllerComments{
            Method: "DetailOld",
            Router: "/detail_old",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ApprovalCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ApprovalCommon"],
        beego.ControllerComments{
            Method: "GetFlowDetail",
            Router: "/flowDetail",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ApprovalCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ApprovalCommon"],
        beego.ControllerComments{
            Method: "GetApprovalPermissionList",
            Router: "/getApprovalPermissionList",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ApprovalCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ApprovalCommon"],
        beego.ControllerComments{
            Method: "ListV2",
            Router: "/list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ApprovalCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ApprovalCommon"],
        beego.ControllerComments{
            Method: "ListOld",
            Router: "/list_old",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:CompanyContractCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:CompanyContractCommon"],
        beego.ControllerComments{
            Method: "ApplyContractDetail",
            Router: "/detail",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractApprovalCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractApprovalCommon"],
        beego.ControllerComments{
            Method: "Approved",
            Router: "/approved",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractApprovalCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractApprovalCommon"],
        beego.ControllerComments{
            Method: "Detail",
            Router: "/detail",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractApprovalCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractApprovalCommon"],
        beego.ControllerComments{
            Method: "List",
            Router: "/list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractApprovalCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractApprovalCommon"],
        beego.ControllerComments{
            Method: "Reject",
            Router: "/reject",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractCommon"],
        beego.ControllerComments{
            Method: "CompanyListBySeal",
            Router: "/companyListBySeal",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractCommon"],
        beego.ControllerComments{
            Method: "CompanyList",
            Router: "/company_list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractCommon"],
        beego.ControllerComments{
            Method: "Detail",
            Router: "/detail",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractCommon"],
        beego.ControllerComments{
            Method: "Invalid",
            Router: "/invalid",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractCommon"],
        beego.ControllerComments{
            Method: "List",
            Router: "/list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractCommon"],
        beego.ControllerComments{
            Method: "ListBySeal",
            Router: "/listBySeal",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractCommon"],
        beego.ControllerComments{
            Method: "ListV2",
            Router: "/listV2",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ContractCommon"],
        beego.ControllerComments{
            Method: "UploadCheckBackFile",
            Router: "/upload_check_back_file",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:MessageCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:MessageCommon"],
        beego.ControllerComments{
            Method: "MessageList",
            Router: "/list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:MessageCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:MessageCommon"],
        beego.ControllerComments{
            Method: "MessageRead",
            Router: "/read",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:MessageCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:MessageCommon"],
        beego.ControllerComments{
            Method: "SummaryMessageList",
            Router: "/summaryMessageList",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ResourceCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ResourceCommon"],
        beego.ControllerComments{
            Method: "Upload",
            Router: "/upload",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ResourceCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:ResourceCommon"],
        beego.ControllerComments{
            Method: "UploadImageBase64",
            Router: "/upload_image_base64",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealApprovalCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealApprovalCommon"],
        beego.ControllerComments{
            Method: "Approved",
            Router: "/approved",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealApprovalCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealApprovalCommon"],
        beego.ControllerComments{
            Method: "CancelApply",
            Router: "/cancelApply",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealApprovalCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealApprovalCommon"],
        beego.ControllerComments{
            Method: "Detail",
            Router: "/detail",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealApprovalCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealApprovalCommon"],
        beego.ControllerComments{
            Method: "List",
            Router: "/list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealApprovalCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealApprovalCommon"],
        beego.ControllerComments{
            Method: "Reject",
            Router: "/reject",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealCommon"],
        beego.ControllerComments{
            Method: "Add",
            Router: "/add",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealCommon"],
        beego.ControllerComments{
            Method: "CheckEdit",
            Router: "/check_edit",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealCommon"],
        beego.ControllerComments{
            Method: "CompanyList",
            Router: "/company_list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealCommon"],
        beego.ControllerComments{
            Method: "Detail",
            Router: "/detail",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealCommon"],
        beego.ControllerComments{
            Method: "Edit",
            Router: "/edit",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealCommon"],
        beego.ControllerComments{
            Method: "Invalid",
            Router: "/invalid",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealCommon"],
        beego.ControllerComments{
            Method: "List",
            Router: "/list",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:SealCommon"],
        beego.ControllerComments{
            Method: "UploadCheckBackFile",
            Router: "/upload_check_back_file",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:WeChatCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:WeChatCommon"],
        beego.ControllerComments{
            Method: "WeChatLogin",
            Router: "/login",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:WeChatCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_mobile_admin/controllers:WeChatCommon"],
        beego.ControllerComments{
            Method: "WxAppLogin",
            Router: "/wxapp/login",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
